summaryrefslogtreecommitdiffstats
path: root/build_tools/larch7/larch0/buildscripts/larch-hosts
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-11-04 18:06:25 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-11-04 18:06:27 (GMT)
commit429f14eea9f4c00ddd8d82f25612213df8d4af84 (patch)
treed8441dd4ef5ef539c0b263b138d36fb1995c38d8 /build_tools/larch7/larch0/buildscripts/larch-hosts
parent11ef4af01d6e197a54d0759e688ab5cbd336be4b (diff)
downloadlinhes_dev-429f14eea9f4c00ddd8d82f25612213df8d4af84.zip
add profiles for larch 7
Diffstat (limited to 'build_tools/larch7/larch0/buildscripts/larch-hosts')
-rwxr-xr-xbuild_tools/larch7/larch0/buildscripts/larch-hosts28
1 files changed, 28 insertions, 0 deletions
diff --git a/build_tools/larch7/larch0/buildscripts/larch-hosts b/build_tools/larch7/larch0/buildscripts/larch-hosts
new file mode 100755
index 0000000..5c57ca1
--- /dev/null
+++ b/build_tools/larch7/larch0/buildscripts/larch-hosts
@@ -0,0 +1,28 @@
+#!/bin/bash
+#
+# larch-hosts - Add hostname to /etc/hosts file (in overlay)
+#
+#2009.08.26
+
+
+# $1: path to system to be larchified ("" if running system)
+# $2: path to temporary overlay directory (where the overlay is being built)
+
+INSTLDIR="$1"
+OVERLAYDIR="$2"
+
+hosts="${OVERLAYDIR}/etc/hosts"
+if ! [ -f ${hosts} ]; then
+ # If not provided in the profile rootoverlay, get it from the installation
+ cp ${INSTLDIR}/etc/hosts ${OVERLAYDIR}/etc
+fi
+
+HOSTNAME="UNKNOWN"
+if [ -f ${OVERLAYDIR}/etc/rc.conf ]; then
+ . ${OVERLAYDIR}/etc/rc.conf
+else
+ . ${INSTLDIR}/etc/rc.conf
+fi
+
+lh="127.0.0.1 localhost.localdomain localhost "
+sed -i "s|^127\.0\.0\.1.*|${lh}${HOSTNAME}|" ${hosts}